diff -urN a/test/ft/di_bind.cpp b/test/ft/di_bind.cpp
--- a/test/ft/di_bind.cpp	2020-07-22 14:32:55.000000000 +0200
+++ b/test/ft/di_bind.cpp	2021-07-03 11:19:34.958308007 +0200
@@ -913,7 +913,8 @@
     }
   };
 
-  auto injector = di::make_injector(di::bind<int>().to(42));
+  int i = 42;
+  auto injector = di::make_injector(di::bind<int>().to(i));
 
   injector.create<c>();
   injector.create<c_inject>();
diff -urN a/example/user_guide/module_exposed_complex_types.cpp b/example/user_guide/module_exposed_complex_types.cpp
--- a/example/user_guide/module_exposed_complex_types.cpp	2020-07-22 14:32:55.000000000 +0200
+++ b/example/user_guide/module_exposed_complex_types.cpp	2021-07-03 11:27:38.175742451 +0200
@@ -48,7 +48,8 @@
 }
 
 int main() {
-  auto injector = di::make_injector(module(42));
+  auto number = 42;
+  auto injector = di::make_injector(module(number));
   {
     auto object = injector.create<T>();
     assert(dynamic_cast<impl1*>(object.i1_.get()));
